{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "EntityCalendarView",
    "lanResTag" : "MENUITEM.CAPTION.ENTITYCALENDARVIEW",
    "lanResType" : "MENUITEM.CAPTION",
    "mOSFilePath" : "pslanguageres/Auto2003",
    "name" : "菜单项文本[实体日历视图]",
    "rTMOSFilePath" : "pslanguageres/Auto2003",
    "refFlag" : true
  },
  "caption" : "实体日历视图（内置功能）",
  "codeName" : "IBIZBOOKCalendarView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKCalendarView.json",
  "mDCtrlActiveMode" : 2,
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView",
  "name" : "IBIZBOOKCalendarView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "deuiaction3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction3"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup25"
  },
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA@item1",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "图书编辑视图",
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW",
      "lanResType" : "PAGE",
      "mOSFilePath" : "pslanguageres/Auto1395",
      "name" : "界面文本（PAGE.*）[TITLE.IBIZBOOK.EDITVIEW]",
      "rTMOSFilePath" : "pslanguageres/Auto1395",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA@item1",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "defaultContent" : "图书编辑视图",
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW",
      "lanResType" : "PAGE",
      "mOSFilePath" : "pslanguageres/Auto1395",
      "name" : "界面文本（PAGE.*）[TITLE.IBIZBOOK.EDITVIEW]",
      "rTMOSFilePath" : "pslanguageres/Auto1395",
      "refFlag" : true
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "calendar"
  }, {
    "name" : "toolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "calendar"
  }, {
    "name" : "toolbar_deuiaction3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "ToggleFilter"
    },
    "xDataControlName" : "calendar"
  } ],
  "getPSControls" : [ {
    "codeName" : "QUICKSEARCHFORM",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSSEARCHFORMS/QUICKSEARCHFORM.json",
    "formStyle" : "SEARCHBAR",
    "logicName" : "快速搜索表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_searchforms/QUICKSEARCHFORM",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "QUICKSEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizbookname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "表单分页",
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.QUICKSEARCHFORM.FORMPAGE.FORMPAGE1",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto1691",
        "name" : "控件文本（CONTROL.*）[DEFORM.IBIZBOOK.QUICKSEARCHFORM.FORMPAGE.FORMPAGE1]",
        "rTMOSFilePath" : "pslanguageres/Auto1691",
        "refFlag" : true
      },
      "caption" : "表单分页",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto486",
          "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE]",
          "rTMOSFilePath" : "pslanguageres/Auto486",
          "refFlag" : true
        },
        "caption" : "图书名称(%)",
        "codeName" : "n_ibizbookname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_ibizbookname_like",
        "name" : "n_ibizbookname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizbookname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizbookname_like",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/quicksearchform",
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "quicksearchform",
    "modelid" : "0d02cac81d96729eccac654df3a1950a",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_searchforms/Default",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizbookname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "n_price_gtandeq",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "常规条件",
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.DEFAULT.FORMPAGE.FORMPAGE1",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto1835",
        "name" : "控件文本（CONTROL.*）[DEFORM.IBIZBOOK.DEFAULT.FORMPAGE.FORMPAGE1]",
        "rTMOSFilePath" : "pslanguageres/Auto1835",
        "refFlag" : true
      },
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto486",
          "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZBOOK.N_IBIZBOOKNAME_LIKE]",
          "rTMOSFilePath" : "pslanguageres/Auto486",
          "refFlag" : true
        },
        "caption" : "图书名称(%)",
        "codeName" : "n_ibizbookname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_ibizbookname_like",
        "name" : "n_ibizbookname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizbookname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizbookname_like",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFSFITEM.IBIZBOOK.N_PRICE_GTANDEQ",
          "lanResType" : "CONTROL",
          "mOSFilePath" : "pslanguageres/Auto2082",
          "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZBOOK.N_PRICE_GTANDEQ]",
          "rTMOSFilePath" : "pslanguageres/Auto2082",
          "refFlag" : true
        },
        "caption" : "图书价格(>=)",
        "codeName" : "n_price_gtandeq",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_price_gtandeq",
        "name" : "n_price_gtandeq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PRICE",
          "codeName" : "Price"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_price_gtandeq"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_price_gtandeq",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/searchform",
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "643b7d93870f8f5842b663af83ba85ae",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "CalendarViewtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "数据视图工具栏",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/CalendarViewtoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2_click"
      }
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1712",
        "name" : "工具栏按钮文本[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto1712",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1712",
          "name" : "工具栏按钮文本[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto1712",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto274",
          "name" : "工具栏按钮提示[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto274",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto274",
        "name" : "工具栏按钮提示[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto274",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TEXT.*.REMOVE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto998",
        "name" : "工具栏按钮文本[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto998",
        "refFlag" : true
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto998",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto998",
          "refFlag" : true
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1782",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto1782",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1782",
        "name" : "工具栏按钮提示[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto1782",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "查找",
        "lanResTag" : "TBB.TEXT.*.FILTER",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1437",
        "name" : "工具栏按钮文本[*.FILTER]",
        "rTMOSFilePath" : "pslanguageres/Auto1437",
        "refFlag" : true
      },
      "caption" : "过滤",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSSysImage" : {
        "glyph" : "xf0b0@FontAwesome",
        "cssClass" : "fa fa-filter"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "查找",
          "lanResTag" : "TBB.TEXT.*.FILTER",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1437",
          "name" : "工具栏按钮文本[*.FILTER]",
          "rTMOSFilePath" : "pslanguageres/Auto1437",
          "refFlag" : true
        },
        "caption" : "过滤",
        "codeName" : "ToggleFilter",
        "fullCodeName" : "ToggleFilter",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ToggleFilter",
        "name" : "表格界面_搜索栏",
        "getPSSysImage" : {
          "glyph" : "xf0b0@FontAwesome",
          "cssClass" : "fa fa-filter"
        },
        "predefinedType" : "GRIDVIEW_SEARCHBAR",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ToggleFilter",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "查找",
          "lanResTag" : "TBB.TOOLTIP.*.FILTER",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto796",
          "name" : "工具栏按钮提示[*.FILTER]",
          "rTMOSFilePath" : "pslanguageres/Auto796",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "ToggleFilter",
        "uIActionType" : "DEUIACTION",
        "enableToggleMode" : true
      },
      "tooltip" : "过滤",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "查找",
        "lanResTag" : "TBB.TOOLTIP.*.FILTER",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto796",
        "name" : "工具栏按钮提示[*.FILTER]",
        "rTMOSFilePath" : "pslanguageres/Auto796",
        "refFlag" : true
      },
      "enableToggleMode" : true,
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/toolbar",
    "modelid" : "05d08009f53b061d86d17732d1470f17",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "calendarStyle" : "MONTH",
    "codeName" : "IBIZBOOKMONTH",
    "controlType" : "CALENDAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSCALENDARS/IBIZBOOKMONTH.json",
    "groupMode" : "NONE",
    "legendPos" : "NONE",
    "logicName" : "图书管理日历（月）",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssyscalendars/IBIZBOOKMONTH",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSAppViewLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendar_quicktoolbar_deuiaction1_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_deuiaction1"
      },
      "getPSViewCtrlName" : "calendar_quicktoolbar"
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendar_quicktoolbar_deuiaction2_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_deuiaction2"
      },
      "getPSViewCtrlName" : "calendar_quicktoolbar"
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendar_quicktoolbar_deuiaction3_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_deuiaction3"
      },
      "getPSViewCtrlName" : "calendar_quicktoolbar"
    }, {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "cm_deuiaction1_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction1"
      },
      "getPSViewCtrlName" : "cm"
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "cm_deuiaction2_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction2"
      },
      "getPSViewCtrlName" : "cm"
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "cm_deuiaction3_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction3"
      },
      "getPSViewCtrlName" : "cm"
    } ],
    "getPSAppViewUIActions" : [ {
      "name" : "calendar_quicktoolbar_deuiaction1",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Save"
      },
      "xDataControlName" : "calendar"
    }, {
      "name" : "calendar_quicktoolbar_deuiaction2",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    }, {
      "name" : "calendar_quicktoolbar_deuiaction3",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Refresh"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    }, {
      "name" : "cm_deuiaction1",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Save"
      },
      "xDataControlName" : "calendar"
    }, {
      "name" : "cm_deuiaction2",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    }, {
      "name" : "cm_deuiaction3",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Refresh"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAR"
    },
    "getPSControls" : [ {
      "codeName" : "CalendarViewcalendar_quicktoolbar",
      "controlType" : "TOOLBAR",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "日历工具栏",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/CalendarViewcalendar_quicktoolbar",
      "name" : "calendar_quicktoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTag" : "calendar_quicktoolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendar_quicktoolbar_deuiaction1_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction1_click"
        }
      }, {
        "eventArg" : "deuiaction2",
        "eventNames" : "CLICK",
        "logicTag" : "calendar_quicktoolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendar_quicktoolbar_deuiaction2_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction2_click"
        }
      }, {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTag" : "calendar_quicktoolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendar_quicktoolbar_deuiaction3_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction3_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "calendar_quicktoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto71",
          "name" : "工具栏按钮文本[*.SAVE]",
          "rTMOSFilePath" : "pslanguageres/Auto71",
          "refFlag" : true
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TEXT.*.SAVE",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto71",
            "name" : "工具栏按钮文本[*.SAVE]",
            "rTMOSFilePath" : "pslanguageres/Auto71",
            "refFlag" : true
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TOOLTIP.*.SAVE",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto1630",
            "name" : "工具栏按钮提示[*.SAVE]",
            "rTMOSFilePath" : "pslanguageres/Auto1630",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1630",
          "name" : "工具栏按钮提示[*.SAVE]",
          "rTMOSFilePath" : "pslanguageres/Auto1630",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1585",
          "name" : "工具栏按钮文本[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto1585",
          "refFlag" : true
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto1585",
            "name" : "工具栏按钮文本[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto1585",
            "refFlag" : true
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto834",
            "name" : "工具栏按钮提示[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto834",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto834",
          "name" : "工具栏按钮提示[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto834",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "刷新",
          "codeName" : "Refresh",
          "fullCodeName" : "Refresh",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
          "name" : "编辑界面_刷新操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "EDITVIEW_REFRESHACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Refresh",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/calendar_quicktoolbar",
      "modelid" : "b5f265a97376e60ddeef17447557883a",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "CalendarViewcm",
      "controlType" : "CONTEXTMENU",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "日历工具栏",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/CalendarViewcm",
      "name" : "cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction1_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction1_click"
        }
      }, {
        "eventArg" : "deuiaction2",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction2_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction2_click"
        }
      }, {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction3_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction3_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "cm"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto71",
          "name" : "工具栏按钮文本[*.SAVE]",
          "rTMOSFilePath" : "pslanguageres/Auto71",
          "refFlag" : true
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TEXT.*.SAVE",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto71",
            "name" : "工具栏按钮文本[*.SAVE]",
            "rTMOSFilePath" : "pslanguageres/Auto71",
            "refFlag" : true
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TOOLTIP.*.SAVE",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto1630",
            "name" : "工具栏按钮提示[*.SAVE]",
            "rTMOSFilePath" : "pslanguageres/Auto1630",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1630",
          "name" : "工具栏按钮提示[*.SAVE]",
          "rTMOSFilePath" : "pslanguageres/Auto1630",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1585",
          "name" : "工具栏按钮文本[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto1585",
          "refFlag" : true
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto1585",
            "name" : "工具栏按钮文本[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto1585",
            "refFlag" : true
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto834",
            "name" : "工具栏按钮提示[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto834",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto834",
          "name" : "工具栏按钮提示[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto834",
          "refFlag" : true
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "刷新",
          "codeName" : "Refresh",
          "fullCodeName" : "Refresh",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
          "name" : "编辑界面_刷新操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "EDITVIEW_REFRESHACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Refresh",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/cm",
      "modelid" : "b5f265a97376e60ddeef17447557883a",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSSysCalendarItems" : [ {
      "bKColor" : "rgba(235, 21, 21, 1)",
      "getBeginTimePSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      },
      "color" : "rgba(13, 190, 34, 1)",
      "getEndTimePSAppDEField" : {
        "name" : "RETURNTIME",
        "codeName" : "Returntime"
      },
      "getIdPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "item1",
      "maxSize" : -1,
      "name" : "借书日记",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSDEContextMenu" : {
        "codeName" : "CalendarViewcm",
        "controlType" : "CONTEXTMENU",
        "hookEventNames" : [ "CLICK" ],
        "logicName" : "日历工具栏",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/CalendarViewcm",
        "name" : "cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        },
        "getPSControlLogics" : [ {
          "eventArg" : "deuiaction1",
          "eventNames" : "CLICK",
          "logicTag" : "cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "cm_deuiaction1_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "cm_deuiaction1_click"
          }
        }, {
          "eventArg" : "deuiaction2",
          "eventNames" : "CLICK",
          "logicTag" : "cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "cm_deuiaction2_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "cm_deuiaction2_click"
          }
        }, {
          "eventArg" : "deuiaction3",
          "eventNames" : "CLICK",
          "logicTag" : "cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "cm_deuiaction3_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "cm_deuiaction3_click"
          }
        } ],
        "getPSControlParam" : {
          "id" : "cm"
        },
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TEXT.*.SAVE",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto71",
            "name" : "工具栏按钮文本[*.SAVE]",
            "rTMOSFilePath" : "pslanguageres/Auto71",
            "refFlag" : true
          },
          "caption" : "保存",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "getPSUIAction" : {
            "getCapPSLanguageRes" : {
              "defaultContent" : "保存",
              "lanResTag" : "TBB.TEXT.*.SAVE",
              "lanResType" : "TBB.TEXT",
              "mOSFilePath" : "pslanguageres/Auto71",
              "name" : "工具栏按钮文本[*.SAVE]",
              "rTMOSFilePath" : "pslanguageres/Auto71",
              "refFlag" : true
            },
            "caption" : "保存",
            "codeName" : "Save",
            "fullCodeName" : "Save",
            "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
            "name" : "编辑界面_保存操作",
            "getPSSysImage" : {
              "glyph" : "xf0c7@FontAwesome",
              "cssClass" : "fa fa-save"
            },
            "predefinedType" : "EDITVIEW_SAVEACTION",
            "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "保存",
              "lanResTag" : "TBB.TOOLTIP.*.SAVE",
              "lanResType" : "TBB.TOOLTIP",
              "mOSFilePath" : "pslanguageres/Auto1630",
              "name" : "工具栏按钮提示[*.SAVE]",
              "rTMOSFilePath" : "pslanguageres/Auto1630",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Save",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "保存",
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "保存",
            "lanResTag" : "TBB.TOOLTIP.*.SAVE",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto1630",
            "name" : "工具栏按钮提示[*.SAVE]",
            "rTMOSFilePath" : "pslanguageres/Auto1630",
            "refFlag" : true
          },
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto1585",
            "name" : "工具栏按钮文本[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto1585",
            "refFlag" : true
          },
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction2"
          },
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "getCapPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TEXT.*.EDIT",
              "lanResType" : "TBB.TEXT",
              "mOSFilePath" : "pslanguageres/Auto1585",
              "name" : "工具栏按钮文本[*.EDIT]",
              "rTMOSFilePath" : "pslanguageres/Auto1585",
              "refFlag" : true
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TOOLTIP.*.EDIT",
              "lanResType" : "TBB.TOOLTIP",
              "mOSFilePath" : "pslanguageres/Auto834",
              "name" : "工具栏按钮提示[*.EDIT]",
              "rTMOSFilePath" : "pslanguageres/Auto834",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "编辑",
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto834",
            "name" : "工具栏按钮提示[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto834",
            "refFlag" : true
          },
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction3"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "刷新",
            "codeName" : "Refresh",
            "fullCodeName" : "Refresh",
            "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
            "name" : "编辑界面_刷新操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "EDITVIEW_REFRESHACTION",
            "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Refresh",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/cm",
        "modelid" : "b5f265a97376e60ddeef17447557883a",
        "modeltype" : "PSDETOOLBAR"
      },
      "getTextPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "enableQuickCreate" : false,
      "id" : "item1"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/calendar",
    "enableGroup" : false,
    "name" : "calendar",
    "modelid" : "b086286f62a7d19632b416727140ccb6",
    "modeltype" : "PSSYSCALENDAR"
  } ],
  "getPSDEViewCodeName" : "CalendarView",
  "getPSDEViewId" : "2752250337163ed1946409d4cd3e37b8",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECALENDARVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getQuickGroupPSCodeList" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Bookgroup.json"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKCalendarView",
  "title" : "实体日历视图（内置功能）",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "图书日历视图（内置功能）",
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.CALENDARVIEW",
    "lanResType" : "PAGE",
    "mOSFilePath" : "pslanguageres/Auto1319",
    "name" : "界面文本（PAGE.*）[TITLE.IBIZBOOK.CALENDARVIEW]",
    "rTMOSFilePath" : "pslanguageres/Auto1319",
    "refFlag" : true
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDARVIEW",
  "xDataControlName" : "calendar",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickGroup" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showCaptionBar" : false,
  "modelid" : "d4043ce4728d459ec224e5cef99eab35",
  "modeltype" : "PSAPPDEVIEW"
}